## libclc 0~git20130819

=== debian/changelog ===
libclc (0~git20130819-2) unstable; urgency=low

  * Add libclc-dev dependency to libclc-r600 and libclc-ptx.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 15 Sep 2013 15:37:50 +0000

libclc (0~git20130819-1) unstable; urgency=low

  [ Julian Wollrath ]
  * Initial release (closes: #719909).

  [ Michael Gilbert ]
  * Add debian/watch.
  * Simplify debian/rules.
  * Improve debian/control.
  * Set maintainer to the Debian OpenCL team.

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 02 Sep 2013 17:56:00 +0000
