=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

confflags=--prefix=/usr \
          --with-llvm-config=/usr/bin/llvm-config-3.3 \

%:
	dh $@ --parallel

override_dh_auto_configure:
	./configure.py $(confflags)

override_dh_auto_clean:
	dh_auto_clean
	test ! -e Makefile || make clean
	rm -f Makefile libclc.pc
	find -name '*.pyc' -execdir rm -f {} \;
	find -name '*.d' -execdir rm -f {} \;
