## libclc 0~git20140101

=== debian/changelog ===
libclc (0~git20140101-1) unstable; urgency=medium

  [ Julian Wollrath ]
  * New upstream snapshot.
  * Use LLVM 3.4 and correct dependencies.
  * Enable verbose build.
  * Bump standards version to 3.9.5 (no changes needed).
  * Update years in debian/copyright.

  [ Michael Gilbert ]
  * Eliminate duplicated files.

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 10 Jan 2014 02:46:15 +0000
