=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
  Julian Wollrath <jwollrath@web.de>,
 Build-Depends:
  debhelper (>= 9),
- llvm-3.3-dev,
- clang-3.3,
+ llvm-3.4-dev,
+ clang-3.4,
  python,
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://libclc.llvm.org
 
 Package: libclc-ptx
@@ -18,6 +18,7 @@
 Depends:
  ${misc:Depends},
  libclc-dev (= ${binary:Version}),
+ libclang-common-3.4-dev,
 Description: OpenCL C language implementation - ptx support
  libclc is an open implementation of the OpenCL C programming language,
  as specified by the OpenCL 1.1 Specification.
@@ -29,6 +30,7 @@
 Depends:
  ${misc:Depends},
  libclc-dev (= ${binary:Version}),
+ libclang-common-3.4-dev,
 Description: OpenCL C language implementation - r600 support
  libclc is an open implementation of the OpenCL C programming language,
  as specified by the OpenCL 1.1 Specification.
@@ -40,7 +42,6 @@
 Architecture: all
 Depends:
  ${misc:Depends},
- libclang-common-3.3-dev,
 Description: OpenCL C language implementation - development files
  libclc is an open implementation of the OpenCL C programming language,
  as specified by the OpenCL 1.1 Specification.
