=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export VERBOSE=1

confflags=--prefix=/usr \
          --with-llvm-config=/usr/bin/llvm-config-3.4 \

path=debian/tmp/usr/lib/clc

%:
	dh $@ --parallel

override_dh_auto_configure:
	./configure.py $(confflags)

override_dh_install:
	test $(shell sha512sum $(path)/cypress-r600--.bc) != $(shell sha512sum $(path)/cayman-r600--.bc) || \
	    rm -f $(path)/cypress-r600--.bc && \
	    ln -s cayman-r600--.bc $(path)/cypress-r600--.bc
	test $(shell sha512sum $(path)/cedar-r600--.bc) != $(shell sha512sum $(path)/barts-r600--.bc) || \
	    rm -f $(path)/cedar-r600--.bc && \
	    ln -s barts-r600--.bc $(path)/cedar-r600--.bc
	dh_install

override_dh_clean:
	test ! -e Makefile || make clean
	find -name '*.pyc' -execdir rm -f {} \;
	find -name '*.d' -execdir rm -f {} \;
	dh_clean -- Makefile libclc.pc
