=== debian/watch ===
# upstream uses git, but has made no tags, so there is currently no way to
# watch upstream changes
