## libclc 0.2.0%2Bgit20180917

=== debian/control ===
Source: libclc
Section: libs
Priority: optional
Maintainer: Debian OpenCL team <pkg-opencl-devel@lists.alioth.debian.org>
Uploaders:
 Michael Gilbert <mgilbert@debian.org>,
 Andreas Boll <aboll@debian.org>,
 Timo Aaltonen <tjaalton@debian.org>,
Build-Depends:
 debhelper (>= 11),
 python,
 clang-7,
 llvm-7-dev,
 zlib1g-dev,
 libedit-dev,
Standards-Version: 4.1.4
Homepage: https://libclc.llvm.org
Vcs-Browser: https://salsa.debian.org/opencl-team/libclc
Vcs-Git: https://salsa.debian.org/opencl-team/libclc.git

Package: libclc-ptx
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 libclc-dev (= ${binary:Version}),
 libclang-common-7-dev,
Description: OpenCL C language implementation - ptx support
 libclc is an open implementation of the OpenCL C programming language,
 as specified by the OpenCL 1.1 Specification.
 .
 This package contains support for the PTX platform.

Package: libclc-amdgcn
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 libclc-dev (= ${binary:Version}),
 libclang-common-7-dev,
Description: OpenCL C language implementation - amdgcn support
 libclc is an open implementation of the OpenCL C programming language,
 as specified by the OpenCL 1.1 Specification.
 .
 This package contains support for the amdgcn (AMD GPU) platform.
 Supported GPU families: Southern Islands and newer.

Package: libclc-r600
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 libclc-dev (= ${binary:Version}),
 libclang-common-7-dev,
Description: OpenCL C language implementation - r600 support
 libclc is an open implementation of the OpenCL C programming language,
 as specified by the OpenCL 1.1 Specification.
 .
 This package contains support for the r600 (AMD GPU) platform.
 Supported GPU families: Evergreen and Northern Islands.

Package: libclc-dev
Section: libdevel
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: OpenCL C language implementation - development files
 libclc is an open implementation of the OpenCL C programming language,
 as specified by the OpenCL 1.1 Specification.
 .
 This package contains development header files.
