## libclc 0.2.0+git20150813

=== debian/changelog ===
libclc (0.2.0+git20150813-3~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Andreas Boll <andreas.boll.dev@gmail.com>  Fri, 09 Sep 2016 12:27:38 +0200

libclc (0.2.0+git20150813-3) unstable; urgency=medium

  * Bump standards version.
  * Build with clang 3.8 (closes: #832014).
  * Add support for aditional GPU devices (closes: 823677).

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 30 Jul 2016 22:47:05 +0000

libclc (0.2.0+git20150813-2) unstable; urgency=medium

  * Enable build hardening flags.
  * Add a package supporting the radeon amdgcn architecture (closes: #788219).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 27 Sep 2015 18:39:13 +0000

libclc (0.2.0+git20150813-1) unstable; urgency=medium

  [ Timo Aaltonen ]
  * New upstream snapshot.
  * Bump llvm to 3.7.
  * Remove clang3.5.patch.

  [ Andreas Boll ]
  * Remove system-clang.patch.
  * Add supported GPU families to description.
  * Bump standards version to 3.9.6 (no changes needed).
  * Fix Lintian warning: invalid-short-name-in-dep5-copyright bsd.

  [ Andreas Beckmann ]
  * Imported packaging history into GIT.
  * Add Vcs-* URLs.

  [ Michael Gilbert ]
  * Upload to unstable.
  * Simplify the clean rule.
  * Include README.TXT and CREDITS.TXT files.
  * Move debian/watch to debian/README.source.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 13 Sep 2015 20:47:52 +0000

libclc (0~git20140101-5) unstable; urgency=medium

  * Depend on libclang-common-3.5-dev (closes: #767146).
  * Add zlib1g-dev to the build-dependencies (closes: #768759).

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 10 Nov 2014 23:12:05 +0000

libclc (0~git20140101-4) unstable; urgency=medium

  * Support clang 3.5 as the new default (closes: #764835).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 12 Oct 2014 20:16:32 +0000

libclc (0~git20140101-3) unstable; urgency=medium

  * Build-depend llvm-dev instead of llvm (closes: #760665).

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 06 Sep 2014 23:13:21 +0000

libclc (0~git20140101-2) unstable; urgency=medium

  * Remove Julian Wolrath from the uploaders.
  * Build-depend on default clang and llvm packages (closes: #759943).

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 01 Sep 2014 23:10:28 +0000
