=== debian/control ===
Source: libclc
Section: libs
Priority: extra
Maintainer: Debian OpenCL team <pkg-opencl-devel@lists.alioth.debian.org>
Uploaders:
 Michael Gilbert <mgilbert@debian.org>,
Build-Depends:
 debhelper (>= 9),
 python,
 clang-3.8,
 llvm-3.8-dev,
 zlib1g-dev,
 libedit-dev,
Standards-Version: 3.9.8
Homepage: http://libclc.llvm.org
Vcs-Git: git://anonscm.debian.org/pkg-opencl/libclc.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-opencl/libclc.git

Package: libclc-ptx
Architecture: all
Depends:
 ${misc:Depends},
 libclc-dev (= ${binary:Version}),
 libclang-common-3.8-dev,
Description: OpenCL C language implementation - ptx support
 libclc is an open implementation of the OpenCL C programming language,
 as specified by the OpenCL 1.1 Specification.
 .
 This package contains support for the PTX platform.

Package: libclc-amdgcn
Architecture: all
Depends:
 ${misc:Depends},
 libclc-dev (= ${binary:Version}),
 libclang-common-3.8-dev,
Description: OpenCL C language implementation - amdgcn support
 libclc is an open implementation of the OpenCL C programming language,
 as specified by the OpenCL 1.1 Specification.
 .
 This package contains support for the amdgcn (AMD GPU) platform.
 Supported GPU families: Southern Islands and newer.

Package: libclc-r600
Architecture: all
Depends:
 ${misc:Depends},
 libclc-dev (= ${binary:Version}),
 libclang-common-3.8-dev,
Description: OpenCL C language implementation - r600 support
 libclc is an open implementation of the OpenCL C programming language,
 as specified by the OpenCL 1.1 Specification.
 .
 This package contains support for the r600 (AMD GPU) platform.
 Supported GPU families: Evergreen and Northern Islands.

Package: libclc-dev
Section: libdevel
Architecture: all
Depends:
 ${misc:Depends},
Description: OpenCL C language implementation - development files
 libclc is an open implementation of the OpenCL C programming language,
 as specified by the OpenCL 1.1 Specification.
 .
 This package contains development header files.
