=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,13 @@
 #!/usr/bin/make -f
 
-export DH_VERBOSE=1
 export VERBOSE=1
 
+export DH_VERBOSE=1
+
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+
 confflags=--prefix=/usr \
-          --with-llvm-config=/usr/bin/llvm-config-3.4 \
+          --with-llvm-config=/usr/bin/llvm-config-3.8 \
 
 path=debian/tmp/usr/lib/clc
 
@@ -24,7 +27,5 @@
 	dh_install
 
 override_dh_clean:
-	test ! -e Makefile || make clean
-	find -name '*.pyc' -execdir rm -f {} \;
+	dh_clean
 	find -name '*.d' -execdir rm -f {} \;
-	dh_clean -- Makefile libclc.pc
