## libclc 0.2.0+git20160907

=== debian/changelog ===
libclc (0.2.0+git20160907-4) unstable; urgency=medium

  [ Andreas Boll ]
  * Team upload.
  * Add a patch to fix the functions get_global_size, get_local_size and
    get_num_groups on amdgcn with LLVM 3.9 (closes: #857591).

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 09 May 2017 20:04:26 +0300

libclc (0.2.0+git20160907-3) unstable; urgency=medium

  * Simplify clang version updates.
  * Drop de-duplication of files that aren't duplicate any more.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 26 Nov 2016 03:35:48 +0000

libclc (0.2.0+git20160907-2) unstable; urgency=medium

  [ Andreas Boll ]
  * Declare Multi-Arch: foreign for all packages (closes: #845314).

  [ Michael Gilbert ]
  * Update to debhelper 10.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 26 Nov 2016 02:35:37 +0000

libclc (0.2.0+git20160907-1) experimental; urgency=medium

  * New upstream snapshot (closes: #836960).
  * Build with clang 3.9.
  * Drop devices.patch, upstream.
  * Use https for Vcs-Git field.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 16 Sep 2016 09:20:06 +0300
