=== debian/control ===
--- 
+++ 
@@ -5,23 +5,24 @@
 Uploaders:
  Michael Gilbert <mgilbert@debian.org>,
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 10),
  python,
- clang-3.8,
- llvm-3.8-dev,
+ clang-3.9,
+ llvm-3.9-dev,
  zlib1g-dev,
  libedit-dev,
 Standards-Version: 3.9.8
 Homepage: http://libclc.llvm.org
-Vcs-Git: git://anonscm.debian.org/pkg-opencl/libclc.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-opencl/libclc.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-opencl/libclc.git
 
 Package: libclc-ptx
 Architecture: all
+Multi-Arch: foreign
 Depends:
  ${misc:Depends},
  libclc-dev (= ${binary:Version}),
- libclang-common-3.8-dev,
+ libclang-common-3.9-dev,
 Description: OpenCL C language implementation - ptx support
  libclc is an open implementation of the OpenCL C programming language,
  as specified by the OpenCL 1.1 Specification.
@@ -30,10 +31,11 @@
 
 Package: libclc-amdgcn
 Architecture: all
+Multi-Arch: foreign
 Depends:
  ${misc:Depends},
  libclc-dev (= ${binary:Version}),
- libclang-common-3.8-dev,
+ libclang-common-3.9-dev,
 Description: OpenCL C language implementation - amdgcn support
  libclc is an open implementation of the OpenCL C programming language,
  as specified by the OpenCL 1.1 Specification.
@@ -43,10 +45,11 @@
 
 Package: libclc-r600
 Architecture: all
+Multi-Arch: foreign
 Depends:
  ${misc:Depends},
  libclc-dev (= ${binary:Version}),
- libclang-common-3.8-dev,
+ libclang-common-3.9-dev,
 Description: OpenCL C language implementation - r600 support
  libclc is an open implementation of the OpenCL C programming language,
  as specified by the OpenCL 1.1 Specification.
@@ -57,6 +60,7 @@
 Package: libclc-dev
 Section: libdevel
 Architecture: all
+Multi-Arch: foreign
 Depends:
  ${misc:Depends},
 Description: OpenCL C language implementation - development files
