## libclc 0.2.0+git20170213

=== debian/changelog ===
libclc (0.2.0+git20170213-1~build1) zesty; urgency=medium

  [ Andreas Boll ]
  * Simplify clang version updates even more.

  [ Timo Aaltonen ]
  * New upstream snapshot.
  * clang: Bump clang version to 4.0.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 13 Feb 2017 15:08:23 +0200
