=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
 Build-Depends:
  debhelper (>= 10),
  python,
- clang-3.9,
- llvm-3.9-dev,
+ clang-4.0,
+ llvm-4.0-dev,
  zlib1g-dev,
  libedit-dev,
 Standards-Version: 3.9.8
@@ -22,7 +22,7 @@
 Depends:
  ${misc:Depends},
  libclc-dev (= ${binary:Version}),
- libclang-common-3.9-dev,
+ libclang-common-4.0-dev,
 Description: OpenCL C language implementation - ptx support
  libclc is an open implementation of the OpenCL C programming language,
  as specified by the OpenCL 1.1 Specification.
@@ -35,7 +35,7 @@
 Depends:
  ${misc:Depends},
  libclc-dev (= ${binary:Version}),
- libclang-common-3.9-dev,
+ libclang-common-4.0-dev,
 Description: OpenCL C language implementation - amdgcn support
  libclc is an open implementation of the OpenCL C programming language,
  as specified by the OpenCL 1.1 Specification.
@@ -49,7 +49,7 @@
 Depends:
  ${misc:Depends},
  libclc-dev (= ${binary:Version}),
- libclang-common-3.9-dev,
+ libclang-common-4.0-dev,
 Description: OpenCL C language implementation - r600 support
  libclc is an open implementation of the OpenCL C programming language,
  as specified by the OpenCL 1.1 Specification.
