## libclc 0.2.0+git20170330

=== debian/changelog ===
libclc (0.2.0+git20170330-3) experimental; urgency=medium

  * clang: Bump to 5.0.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 31 Aug 2017 12:07:21 +0300

libclc (0.2.0+git20170330-2) unstable; urgency=medium

  * Switch some URLs to https.
  * Bump standards version to 4.0.0.
  * Add myself to Uploaders.
  * Upload to unstable (Closes: #865925).

 -- Andreas Boll <andreas.boll.dev@gmail.com>  Mon, 26 Jun 2017 09:41:29 +0200

libclc (0.2.0+git20170330-1) experimental; urgency=medium

  * New upstream snapshot.
    - math: Add native_tan as wrapper to tan (Closes: #857710).

 -- Andreas Boll <andreas.boll.dev@gmail.com>  Thu, 30 Mar 2017 12:24:13 +0200

libclc (0.2.0+git20170213-1) experimental; urgency=medium

  [ Andreas Boll ]
  * Simplify clang version updates even more.

  [ Timo Aaltonen ]
  * New upstream snapshot.
  * clang: Bump clang version to 4.0.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 13 Feb 2017 15:08:23 +0200
