=== debian/control ===
--- 
+++ 
@@ -4,15 +4,16 @@
 Maintainer: Debian OpenCL team <pkg-opencl-devel@lists.alioth.debian.org>
 Uploaders:
  Michael Gilbert <mgilbert@debian.org>,
+ Andreas Boll <andreas.boll.dev@gmail.com>,
 Build-Depends:
  debhelper (>= 10),
  python,
- clang-4.0,
- llvm-4.0-dev,
+ clang-5.0,
+ llvm-5.0-dev,
  zlib1g-dev,
  libedit-dev,
-Standards-Version: 3.9.8
-Homepage: http://libclc.llvm.org
+Standards-Version: 4.0.0
+Homepage: https://libclc.llvm.org
 Vcs-Git: https://anonscm.debian.org/git/pkg-opencl/libclc.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-opencl/libclc.git
 
@@ -22,7 +23,7 @@
 Depends:
  ${misc:Depends},
  libclc-dev (= ${binary:Version}),
- libclang-common-4.0-dev,
+ libclang-common-5.0-dev,
 Description: OpenCL C language implementation - ptx support
  libclc is an open implementation of the OpenCL C programming language,
  as specified by the OpenCL 1.1 Specification.
@@ -35,7 +36,7 @@
 Depends:
  ${misc:Depends},
  libclc-dev (= ${binary:Version}),
- libclang-common-4.0-dev,
+ libclang-common-5.0-dev,
 Description: OpenCL C language implementation - amdgcn support
  libclc is an open implementation of the OpenCL C programming language,
  as specified by the OpenCL 1.1 Specification.
@@ -49,7 +50,7 @@
 Depends:
  ${misc:Depends},
  libclc-dev (= ${binary:Version}),
- libclang-common-4.0-dev,
+ libclang-common-5.0-dev,
 Description: OpenCL C language implementation - r600 support
  libclc is an open implementation of the OpenCL C programming language,
  as specified by the OpenCL 1.1 Specification.
