## libclc 0.2.0+git20180312

=== debian/changelog ===
libclc (0.2.0+git20180312-1~16.04.1) xenial; urgency=medium

  * Backport to xenial. (LP: #1772632)
    - don't use debhelper 10

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 22 May 2018 20:45:10 +0300

libclc (0.2.0+git20180312-1) experimental; urgency=medium

  * New upstream snapshot.
  * clang: Bump to 6.0.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 13 Mar 2018 14:03:38 +0200

libclc (0.2.0+git20171106-1) unstable; urgency=medium

  * New upstream snapshot.
  * Refresh hardening.patch.
  * Change priority from extra to optional.
  * Bump standards version to 4.1.1.

 -- Andreas Boll <andreas.boll.dev@gmail.com>  Mon, 06 Nov 2017 16:02:16 +0100

libclc (0.2.0+git20170330-4) unstable; urgency=medium

  * Upload to unstable.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 05 Sep 2017 14:36:09 +0300

libclc (0.2.0+git20170330-3~16.04.1) xenial; urgency=medium

  * Backport to xenial. (LP: #1716203)
    - don't use debhelper 10

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 13 Nov 2017 19:11:36 +0200

libclc (0.2.0+git20160907-3ubuntu0.16.04.1) UNRELEASED; urgency=medium

   * don't use debhelper 10

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 13 Dec 2016 12:40:57 +0200
