=== debian/rules ===
#!/usr/bin/make -f

export VERBOSE=1

export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

LLVM_CONFIG=/usr/bin/llvm-config-$(shell cat debian/clang)

debian/control: debian/control.in
	sed "s/CLANG_VERSION/$(shell cat debian/clang)/g" < $< > $@

%: debian/control
	dh $@ --parallel

override_dh_auto_configure:
	./configure.py --prefix=/usr --with-llvm-config=$(LLVM_CONFIG)
