## libclc 0.2.0+git20180518

=== debian/changelog ===
libclc (0.2.0+git20180518-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Andreas Boll <aboll@debian.org>  Thu, 23 Aug 2018 19:48:59 +0200

libclc (0.2.0+git20180518-1) unstable; urgency=medium

  * New upstream snapshot.
  * control: Update to my Debian address.
  * Bump debhelper compat to 11.
  * Bump standards version to 4.1.4.

 -- Andreas Boll <aboll@debian.org>  Fri, 18 May 2018 21:11:16 +0200

libclc (0.2.0+git20180312-2) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Switch Vcs-* URLs to salsa.debian.org.
  * Add Timo Aaltonen to Uploaders.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 02 May 2018 13:56:57 +0300

libclc (0.2.0+git20171106-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Jérémy Viès <jeremy.vies@gmail.com>  Wed, 22 Nov 2017 10:53:44 +0100
