=== debian/control ===
--- 
+++ 
@@ -4,18 +4,19 @@
 Maintainer: Debian OpenCL team <pkg-opencl-devel@lists.alioth.debian.org>
 Uploaders:
  Michael Gilbert <mgilbert@debian.org>,
- Andreas Boll <andreas.boll.dev@gmail.com>,
+ Andreas Boll <aboll@debian.org>,
+ Timo Aaltonen <tjaalton@debian.org>,
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 11),
  python,
  clang-6.0,
  llvm-6.0-dev,
  zlib1g-dev,
  libedit-dev,
-Standards-Version: 4.1.1
+Standards-Version: 4.1.4
 Homepage: https://libclc.llvm.org
-Vcs-Git: https://anonscm.debian.org/git/pkg-opencl/libclc.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-opencl/libclc.git
+Vcs-Browser: https://salsa.debian.org/opencl-team/libclc
+Vcs-Git: https://salsa.debian.org/opencl-team/libclc.git
 
 Package: libclc-ptx
 Architecture: all
