## libclc 0.2.0+git20180917

=== debian/changelog ===
libclc (0.2.0+git20180917-3~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 01 Dec 2018 10:29:08 -0800

libclc (0.2.0+git20180917-3) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Boll <aboll@debian.org>  Mon, 19 Nov 2018 13:37:07 +0100

libclc (0.2.0+git20180917-2) experimental; urgency=medium

  * Drop -fstack-protector-strong from hardening flags. Fixes some
    OpenCL apps (Closes: #904718).
  * rules: Improve clang version updates.

 -- Andreas Boll <aboll@debian.org>  Wed, 10 Oct 2018 17:56:14 +0200

libclc (0.2.0+git20180917-1) experimental; urgency=medium

  * New upstream snapshot.
  * clang: Bump to 7.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 17 Sep 2018 13:23:47 +0300
