=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libclc
 Section: libs
 Priority: optional
-Maintainer: Debian OpenCL team <pkg-opencl-devel@lists.alioth.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian OpenCL team <pkg-opencl-devel@lists.alioth.debian.org>
 Uploaders:
  Michael Gilbert <mgilbert@debian.org>,
  Andreas Boll <aboll@debian.org>,
@@ -9,8 +10,8 @@
 Build-Depends:
  debhelper (>= 11),
  python,
- clang-6.0,
- llvm-6.0-dev,
+ clang-7,
+ llvm-7-dev,
  zlib1g-dev,
  libedit-dev,
 Standards-Version: 4.1.4
@@ -24,7 +25,7 @@
 Depends:
  ${misc:Depends},
  libclc-dev (= ${binary:Version}),
- libclang-common-6.0-dev,
+ libclang-common-7-dev,
 Description: OpenCL C language implementation - ptx support
  libclc is an open implementation of the OpenCL C programming language,
  as specified by the OpenCL 1.1 Specification.
@@ -37,7 +38,7 @@
 Depends:
  ${misc:Depends},
  libclc-dev (= ${binary:Version}),
- libclang-common-6.0-dev,
+ libclang-common-7-dev,
 Description: OpenCL C language implementation - amdgcn support
  libclc is an open implementation of the OpenCL C programming language,
  as specified by the OpenCL 1.1 Specification.
@@ -51,7 +52,7 @@
 Depends:
  ${misc:Depends},
  libclc-dev (= ${binary:Version}),
- libclang-common-6.0-dev,
+ libclang-common-7-dev,
 Description: OpenCL C language implementation - r600 support
  libclc is an open implementation of the OpenCL C programming language,
  as specified by the OpenCL 1.1 Specification.
