## libclc 0.2.0+git20190306

=== debian/changelog ===
libclc (0.2.0+git20190306-1) experimental; urgency=medium

  * New upstream snapshot.
  * clang: Bump to 8.
  * hardening.patch: Refreshed.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 06 Mar 2019 11:02:05 +0200
