=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: libclc
 Section: libs
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian OpenCL team <pkg-opencl-devel@lists.alioth.debian.org>
+Maintainer: Debian OpenCL team <pkg-opencl-devel@lists.alioth.debian.org>
 Uploaders:
  Michael Gilbert <mgilbert@debian.org>,
  Andreas Boll <aboll@debian.org>,
@@ -10,8 +9,8 @@
 Build-Depends:
  debhelper (>= 11),
  python,
- clang-7,
- llvm-7-dev,
+ clang-8,
+ llvm-8-dev,
  zlib1g-dev,
  libedit-dev,
 Standards-Version: 4.1.4
@@ -25,7 +24,7 @@
 Depends:
  ${misc:Depends},
  libclc-dev (= ${binary:Version}),
- libclang-common-7-dev,
+ libclang-common-8-dev,
 Description: OpenCL C language implementation - ptx support
  libclc is an open implementation of the OpenCL C programming language,
  as specified by the OpenCL 1.1 Specification.
@@ -38,7 +37,7 @@
 Depends:
  ${misc:Depends},
  libclc-dev (= ${binary:Version}),
- libclang-common-7-dev,
+ libclang-common-8-dev,
 Description: OpenCL C language implementation - amdgcn support
  libclc is an open implementation of the OpenCL C programming language,
  as specified by the OpenCL 1.1 Specification.
@@ -52,7 +51,7 @@
 Depends:
  ${misc:Depends},
  libclc-dev (= ${binary:Version}),
- libclang-common-7-dev,
+ libclang-common-8-dev,
 Description: OpenCL C language implementation - r600 support
  libclc is an open implementation of the OpenCL C programming language,
  as specified by the OpenCL 1.1 Specification.
