## libclc 0.2.0+git20190827

=== debian/changelog ===
libclc (0.2.0+git20190827-1ubuntu0.18.04.3) bionic; urgency=medium

  * clang: Bump to 10. (LP: #1882901)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 10 Jun 2020 11:29:07 +0300

libclc (0.2.0+git20190827-1ubuntu0.18.04.2) bionic-security; urgency=medium

  * No change rebuild in the -security pocket.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Sat, 01 Feb 2020 11:38:04 -0500

libclc (0.2.0+git20190827-1ubuntu0.18.04.1) bionic; urgency=medium

  * hardening.patch: Dropped, breaks opencl runtime. (LP: #1860042)

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 28 Jan 2020 10:22:43 +0200

libclc (0.2.0+git20190827-1~ubuntu18.04.1) bionic; urgency=medium

  * Backport to bionic for 18.04.4 HWE stack update. (LP: #1848522)

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 21 Oct 2019 23:59:47 +0300

libclc (0.2.0+git20190827-1) experimental; urgency=medium

  * New upstream snapshot.
  * clang: Bump to 9.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 27 Aug 2019 10:47:00 +0300

libclc (0.2.0+git20190306-2) unstable; urgency=medium

  * Upload to unstable.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 18 Jul 2019 23:46:30 +0300
