=== debian/rules ===
--- 
+++ 
@@ -8,11 +8,11 @@
 
 LLVM_CONFIG=/usr/bin/llvm-config-$(shell cat debian/clang)
 
-debian/control: debian/control.in
+debian/control: debian/control.in debian/clang
 	sed "s/CLANG_VERSION/$(shell cat debian/clang)/g" < $< > $@
 
 %: debian/control
-	dh $@ --parallel
+	dh $@
 
 override_dh_auto_configure:
 	./configure.py --prefix=/usr --with-llvm-config=$(LLVM_CONFIG)
